<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<!-- This file has been generated by tj3man v3.1.0 -->
<html lang="en" xml:lang="en" xmlns="http://www.w3.org/1999/xhtml">
 <head>
  <title>leaveallowance</title>
  <meta content="text/html; charset=utf-8" http-equiv="Content-Type"/>
  <meta content="The TaskJuggler Manual" name="description"/>
  <meta content="taskjuggler, project, management" name="keywords"/>
 </head>
 <link href="css/tjmanual.css" rel="stylesheet" type="text/css"></link>
 <body>
  <div align="center">
   <h3 align="center">The TaskJuggler User Manual</h3>
   <em align="center">Project Management beyond Gantt Chart Drawing</em>
  </div>
  <br/>
  <hr/>
  <table style="width:90%; margin-left:5%; margin-right:5%"><tr>
    <td style="text-align:left; width:35%;">&lt;&lt; <a href="journalmode.html">journalmode</a> &lt;&lt;</td>
    <td style="text-align:center; width:30%;"><a href="toc.html">Table Of Contents</a></td>
    <td style="text-align:right; width:35%;">&gt;&gt; <a href="leaves.html">leaves</a> &gt;&gt;</td>
   </tr></table>
  <hr/>
  <br/>
  <div style="margin-left:5%; margin-right:5%">
   <p><table align="center" class="table"><tr align="left">
      <td class="tag" style="width:16%">Keyword</td>
      <td class="descr" style="width:84%; font-weight:bold">leaveallowance</td>
     </tr></table></p>
   <p><div><span style="color:red">This keyword has not yet been fully tested yet. You are welcome to try it, but it may lead to wrong results. The syntax may still change with future versions. The developers appreciate any feedback on this keyword.</span></div></p>
   <p><table align="center" class="table">
     <colgroup>
      <col width="16%"></col>
      <col width="24%"></col>
      <col width="60%"></col>
     </colgroup>
     <tr align="left">
      <td class="tag">Purpose</td>
      <td class="descr" colspan="2"><div>
        <p>Add or subtract leave allowances. Currently, only allowances for the annual leaves are supported. Allowances can be negative to deal with expired allowances. The <code>leaveallowancebalance</code> report <a href="columns.html">column</a> can be used to report the current annual leave balance.</p>
        <p>Leaves outside of the project period are silently ignored and will not be considered in the leave balance calculation. Therefor, leave allowances are only allowed within the project period.</p>
       </div></td>
     </tr>
     <tr align="left">
      <td class="tag">Syntax</td>
      <td class="descr" colspan="2"><code>leaveallowances annual &lt;date&gt; [-] &lt;value&gt; (min | h | d | w | m | y) [, annual &lt;date&gt; [-] &lt;value&gt; (min | h | d | w | m | y)...]</code></td>
     </tr>
     <tr align="left">
      <td class="tag" rowspan="8">Arguments</td>
      <td class="descr">date</td>
      <td class="descr"><div>See <a href="date.html">date</a> for details.</div></td>
     </tr>
     <tr align="left">
      <td class="descr">value</td>
      <td class="descr"><div>A floating point or integer number</div></td>
     </tr>
     <tr align="left">
      <td class="descr">min</td>
      <td class="descr"><div>minutes</div></td>
     </tr>
     <tr align="left">
      <td class="descr">h</td>
      <td class="descr"><div>hours</div></td>
     </tr>
     <tr align="left">
      <td class="descr">d</td>
      <td class="descr"><div>days</div></td>
     </tr>
     <tr align="left">
      <td class="descr">w</td>
      <td class="descr"><div>weeks</div></td>
     </tr>
     <tr align="left">
      <td class="descr">m</td>
      <td class="descr"><div>months</div></td>
     </tr>
     <tr align="left">
      <td class="descr">y</td>
      <td class="descr"><div>years</div></td>
     </tr>
     <tr align="left">
      <td class="tag">Context</td>
      <td class="descr" colspan="2">
       <a href="resource.html">resource</a>, <a href="supplement.resource.html">supplement (resource)</a>
      </td>
     </tr>
    </table></p>
   <div class="codeframe"><pre class="code">project "Annual Leave" 2011-12-19 +1y {
  now 2012-07-01
}

leaves holiday "Christmas" 2011-12-24 +3d,
       holiday "New Year" 2011-12-31 +3d

shift s1 "Shift 1" {
    leaves annual 2011-12-19 +3w,
           special 2012-01-12 +1d
}

resource team "Team" {
  leaveallowances annual 2011-12-19 20d
  leaves holiday 2012-01-06

  resource r1 "R1" {
    leaves annual 2011-12-19 +3w,
           special 2012-01-12 +1d
  }
  resource r2 "R2" {
    leaveallowances annual 2012-06-01 -10d
    leaves sick 2012-01-04 +2d,
           unpaid 2012-01-10 +3d
  }
}
resource r3 "R3" {
  shift s1 2011-12-19 +3w
  leaves sick 2012-01-04 +2d
}

task "foo"

resourcereport "." {
  formats html
  columns name, annualleave, annualleavebalance, sickleave, specialleave, unpaidleave
}
</pre></div>
  </div>
  <br/>
  <hr/>
  <table style="width:90%; margin-left:5%; margin-right:5%"><tr>
    <td style="text-align:left; width:35%;">&lt;&lt; <a href="journalmode.html">journalmode</a> &lt;&lt;</td>
    <td style="text-align:center; width:30%;"><a href="toc.html">Table Of Contents</a></td>
    <td style="text-align:right; width:35%;">&gt;&gt; <a href="leaves.html">leaves</a> &gt;&gt;</td>
   </tr></table>
  <hr/>
  <br/>
  <div align="center" style="font-size:10px;">Copyright (c) 2006, 2007, 2008, 2009, 2010, 2011, 2012 by Chris Schlaeger &lt;chris@linux.com&gt;.<a href="http://www.taskjuggler.org">TaskJuggler</a> is a trademark of Chris Schlaeger.</div>
 </body>
</html>
